<?php
	session_start();
	include("config.php");
	$id_anggaran=mysqli_real_escape_string($mysqli,$_GET["id_anggaran"]);
	
	$id_desa=$_SESSION["ses_id_desa"];
	
	//mengambil data tahun anggaran aktif
	$username=$_SESSION["ses_admin_id"];

	$qry=mysqli_query($mysqli,"SELECT * FROM settings WHERE username='$username'");
	$data=mysqli_fetch_array($qry);
	$tahun_anggaran=$data["tahun_anggaran"];

	
	//mengecek apakah memiliki sub account, jika ada tidak bisa dihapus langsung, harus menghapus sub accountnya terlebih dahulu

	$qr=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE id='$id_anggaran'");
	if(mysqli_num_rows($qr)>0){
		$dt=mysqli_fetch_array($qr);
		$kode_rekening=$dt["kode_rekening"];
		$jenis_kode_rekening=$dt["jenis_kode_rekening"];
		$induk_kode_rekening=$dt["induk_kode_rekening"];
		
		if($kode_rekening=="2"){
			$qt=mysqli_query($mysqli, "DELETE FROM t_anggaran WHERE id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
			
		}else{
			
			
			if(strlen($kode_rekening)==2 && $jenis_kode_rekening=="H"){
				$qt=mysqli_query($mysqli, "DELETE FROM t_anggaran WHERE LEFT(`kode_rekening`, 2)='$kode_rekening' AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
				
			}elseif(strlen($kode_rekening)==3 && $jenis_kode_rekening=="H"){
				$qt=mysqli_query($mysqli, "DELETE FROM t_anggaran WHERE LEFT(`kode_rekening`, 3)='$kode_rekening' AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
			}elseif(strlen($kode_rekening)==4 && $jenis_kode_rekening=="H"){
				$qt=mysqli_query($mysqli, "DELETE FROM t_anggaran WHERE LEFT(`kode_rekening`, 4)='$kode_rekening' AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
			}elseif(strlen($kode_rekening)==4 && $jenis_kode_rekening=="D"){
				$qt=mysqli_query($mysqli, "DELETE FROM t_anggaran WHERE LEFT(`kode_rekening`, 4)='$kode_rekening' AND id='$id_anggaran' AND jenis_kode_rekening='D' AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
			}
			
			
			/*
			$qt=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE induk_kode_rekening='$kode_rekening' AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
			*/
			
			/*
			if(mysqli_num_rows($qt)>0){
				$bisadihapus="TIDAK";
			}else{
				$bisadihapus="YA";
			}
			*/
			
			/*
			if($jenis_kode_rekening=="H"){
				$qw=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE kode_rekening='$kode_rekening' AND jenis_kode_rekening='D'  AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
				
				if(mysqli_num_rows($qw)>0){
				//	$bisadihapus2="TIDAK";
				//}else{
				//	$bisadihapus2="YA";
					$qt=mysqli_query($mysqli,"DELETE FROM t_anggaran WHERE kode_rekening='$kode_rekening' AND jenis_kode_rekening='D'  AND id_desa='$id_desa' AND tahun_anggaran='$tahun_anggaran'");
				}
			}
			*/
		}
	}
	
	/*
	if($bisadihapus=="TIDAK"){
		msgbox("Mata Anggaran ini tidak dapat dihapus karena masih memiliki Sub Account...");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
		die();
	}

	if($bisadihapus2=="TIDAK"){
		msgbox("Mata Anggaran ini tidak dapat dihapus karena masih memiliki Sub Account...");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
		die();
	}
	*/

	//$sql="DELETE FROM t_anggaran WHERE id='$id_anggaran'";
	
	//$qry=mysqli_query($mysqli,$sql);
	
	//menghapus data transaksi
	
	$qr=mysqli_query($mysqli,"DELETE FROM transaksi WHERE id_anggaran='$id_anggaran'");
	
	if($qt){
	
		msgbox("Data Anggaran berhasil dihapus");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}
	
	
	
?>